package compbio.ws.client;

import static org.testng.Assert.assertTrue;

import java.io.PrintWriter;

import org.testng.annotations.Test;

import compbio.data.msa.JABAService;
import compbio.metadata.AllTestSuit;

public class WSTesterTester {

	public static final String SERVER = "http://localhost:8080/jabaws";

	@Test(groups = {AllTestSuit.test_group_runner})
	public void testAllWindowsWS() {
		WSTester tester = new WSTester(new PrintWriter(System.out, true));
		JABAService ws = Jws2Client.connect(SERVER, Services.AAConWS);
		assertTrue(tester.checkService(ws));

		ws = Jws2Client.connect(SERVER, Services.JronnWS);
		assertTrue(tester.checkService(ws));

		ws = Jws2Client.connect(SERVER, Services.ClustalWS);
		assertTrue(tester.checkService(ws));

		ws = Jws2Client.connect(SERVER, Services.MuscleWS);
		assertTrue(tester.checkService(ws));

		// Will throw UnsupportedRuntimeException on windows
		// ws = Jws2Client.connect(SERVER, Services.MafftWS);
		// assertTrue(tester.checkService(ws));

	}

	@Test(groups = {AllTestSuit.test_group_non_windows})
	public void testAllWS() {
		WSTester tester = new WSTester(new PrintWriter(System.out));

		for (Services service : Services.values()) {
			JABAService ws = Jws2Client.connect(SERVER, service);
			assertTrue(tester.checkService(ws));
		}
	}

}
